Bug 1384570 - gnome-initial-setup does not exit at the end
Summary: gnome-initial-setup does not exit at the end
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-13 14:49 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2017-12-12 11:00 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 11:00:09 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2016-10-13 14:49:30 UTC
Description of problem:
As part of the wayland test day, I run /usr/libexec/gnome-initial-setup. After clicking through all the questions, the window closes but the program does not exit.

Version-Release number of selected component (if applicable):
gnome-initial-setup-3.22.0-1.fc25.x86_64

Steps to Reproduce:
1. Run gnome-initial-setup from a terminal.
2. Close it.

(gdb) bt
#0  0x00007fe5546ca00d in poll () from /lib64/libc.so.6
#1  0x00007fe555837196 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00007fe5558372ac in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007fe555deebbd in g_application_run () from /lib64/libgio-2.0.so.0
#4  0x000055ae75b29056 in main (argc=<optimized out>, argv=<optimized out>) at gnome-initial-setup.c:239

Comment 1 Matthias Clasen 2016-10-13 17:02:36 UTC
If you run gnome-initial-setup without the --force-existing-user option, it expects to be able to communicate with gdm. That doesn't work when running inside a regular user session.

Comment 2 Zbigniew Jędrzejewski-Szmek 2016-10-13 17:14:54 UTC
Yep, it sounds like --force-existing-user should be the default mode...

Comment 3 Adam Williamson 2016-10-13 20:32:39 UTC
Note, the test case here is a kinda obscure one we wrote for a test day two years ago, I just threw it into the Wayland test day list in case we'd find any unexpected crashes or anything in g-i-s running on Wayland...

Comment 4 Michael Catanzaro 2016-10-15 00:26:28 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> Yep, it sounds like --force-existing-user should be the default mode...

Maybe; it's debatable. Really, we could probably refuse to start unless passed some argument, since this program is never supposed to be run by the user (note it's in libexec).

Comment 5 Fedora End Of Life 2017-11-16 18:52:41 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 11:00:09 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.